Package be.fgov.ehealth.etee.commons.core.v2

# Class EteeStatusDetail

java.lang.Object
be.fgov.ehealth.etee.commons.core.v2.EteeStatusDetail

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class EteeStatusDetail extends Object implements Serializable
Type that contains the status details of the ETEE operation that was called. Currently the only additional status that is not part of the default SOA commons response types is a list of error codes that are specific to the Certificate Manager web services.

Java class for EteeStatusDetailType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EteeStatusDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Errors" type="{urn:be:fgov:ehealth:etee:commons:core:v2}EteeErrorType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EteeStatusDetail()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<EteeErrorType>`
  `getErrors()`
  Gets the value of the errors property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EteeStatusDetail

    public EteeStatusDetail()

- ## Method Details

  - ### getErrors

    public List<EteeErrorType> getErrors()
    Gets the value of the errors property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the errors property.

    For example, to add a new item, do as follows:

         getErrors().add(newItem);

    Objects of the following type(s) are allowed in the list `EteeErrorType`

    Returns:
      The value of the errors property.